Subject: Re: bug#70782: [PATCH] Set magit commit summary length in dir-locals

From: Paul Nelson <[email-masked]>
Date: Sun, 5 May 2024 15:15:51 +0200

Ah, I see.  OK, what you suggest sounds good, please feel free to close.
Thanks, best,  Paul

On Sun, May 5, 2024 at 3:14 PM Arash Esbati <[email-masked]> wrote:

> Paul Nelson <[email-masked]> writes:
>
> > Unfortunately, it uses text-mode (and I don't know of any way to
> > associate .dir-locals entries with minor modes.)
>
> Thanks.  Your proposal has another side effect for people not having
> Magit installed: I get the following when I open a file inside AUCTeX
> repo with your change installed:
>
> --8<---------------cut here---------------start------------->8---
> The local variables list in /path/to/auctex/
> or .dir-locals.el contains values that may not be safe (*).
>
> Do you want to apply it?  You can type
> y  -- to apply the local variables list.
> n  -- to ignore the local variables list.
> !  -- to apply the local variables list, and permanently mark these
>       values (*) as safe (in the future, they will be set automatically.)
> i  -- to ignore the local variables list, and permanently mark these
>       values (*) as ignored
> +  -- to apply the local variables list, and trust all directory-local
>       variables in this directory
> --8<---------------cut here---------------end--------------->8---
>
> Maybe we should skip this and you add that bit to your personal
> .dir-locals-2.el file inside AUCTeX repo?
>
> Best, Arash
>